QGIS Application - Feature request #2293
Default styles for spatialite layers
2009-12-18 12:49 AM - mesajs -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12353
Description

It would be preferable to store default styles for spatialite layers in the database (e.g. in a gml table) instead of the project file. Styles to
then automatically load when layers are added to a project.

This approach works well with shapefiles, where the .gml file resides with the other files. Very handy when exporting layers to other users
- they don't have to setup layer properties from scratch, and you don't have to provide the documentation to do so.

Associated revisions

Revision 98fd25ec - 2009-12-23 10:17 PM - Jiirgen Fischer

fix #2293

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12604 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 286893af - 2009-12-23 10:17 PM - Jiirgen Fischer

fix #2293

git-svn-id: http://svn.osgeo.org/qgis/trunk@12604 c¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-23 01:18 PM - Jiirgen Fischer
- Resolution set to fixed

- Status changed from Open to Closed

kind of duplicate of #1127. Although that didn't seem to work on spatialite layers. Fixed in commit:286893af (SVN r12605).

defaults styles for spatialite layers are also stored in the gmidb.
